Bug 522548 - clutter-gtk fails to build
clutter-gtk fails to build
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
All Linux
low Severity medium
: beta
: ---
Assigned To: Owen Taylor
Daniel Riek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-10 12:47 EDT by Bill Nottingham
Modified: 2014-03-16 23:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 11:04:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-09-10 12:47:05 EDT
More info at: https://brewweb.devel.redhat.com/taskinfo?taskID=1979892

Making all in clutter-gtk
  CC    gtk-clutter-util.o
  CC    gtk-clutter-embed.o
  CC    gtk-clutter-scrollable.o
  CC    gtk-clutter-viewport.o
  CC    gtk-clutter-zoomable.o
  LINK  libclutter-gtk-0.10.la
Traceback (most recent call last):
  File "/usr/bin/g-ir-scanner", line 38, in <module>
    sys.exit(scanner_main(sys.argv))
  File "/usr/lib/python2.6/site-packages/giscanner/scannermain.py", line 277, in scanner_main
    transformer.register_include(include_obj)
  File "/usr/lib/python2.6/site-packages/giscanner/transformer.py", line 112, in register_include
    self._parse_include(filename)
  File "/usr/lib/python2.6/site-packages/giscanner/transformer.py", line 140, in _parse_include
    self.register_include(include)
  File "/usr/lib/python2.6/site-packages/giscanner/transformer.py", line 111, in register_include
    filename = self._find_include(include)
  File "/usr/lib/python2.6/site-packages/giscanner/transformer.py", line 129, in _find_include
    % (girname, searchdirs))
ValueError: Couldn't find include 'PangoCairo-1.0.gir' (search path: ['.', 'path=.', '/usr/share/gir-1.0', '/usr/share/gir-1.0', '/usr/share/gir-1.0'])
make[2]: *** [GtkClutter-0.10.gir] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.6JIcDh (%build)

Current dependent packages of note in buildroot:
DEBUG util.py:256:   clutter                      i686    1.0.4-1.el6                  build  444 k
...
DEBUG util.py:256:   gir-repository               i686    0.6.5-2.el6                  build  383 k
...
DEBUG util.py:256:   gobject-introspection        i686    0.6.5-1.el6                  build  154 k
DEBUG util.py:256:   gobject-introspection-devel  i686    0.6.5-1.el6                  build  343 k
Comment 2 Owen Taylor 2009-09-15 11:04:29 EDT
Dennis Gregorovic did a rebuild adding the missing gir-repository-devel - should be OK now.

Note You need to log in before you can comment on or make changes to this bug.